package dev.fitko.fitconnect.client.sender.steps.encrypted;

public interface EncryptedMetadataStep {

    /**
     * JSON data as encrypted JWE string.
     *
     * @param metadata encrypted JWE string of the metadata
     * @return next step to add encrypted data
     */
    EncryptedDataStep setEncryptedMetadata(String metadata);
}
